# Query every watched zone for every active sending IP now (operator)

`POST /deliverability/blocklists/scan` · Rivier · domains

Query every watched zone for every active sending IP now (operator). DNS queries only.

- Scope: domains:write
- Graphql: Mutation.domainsDeliverabilityBlocklistScan
- Sdk: domains.deliverabilityBlocklist.scan
- Cli: domains deliverability blocklist scan

## Request body

`application/json`

```json
{
  "anyOf": [
    {
      "not": {}
    },
    {
      "type": "object",
      "properties": {},
      "additionalProperties": true
    }
  ]
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/deliverability/blocklists/scan' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json'
```
